import { ElementRef, EventEmitter, OnChanges, OnInit } from '@angular/core';
import { ILogger } from '@descope/web-component';
import { DescopeAuthService } from '../../services/descope-auth.service';
import { DescopeAuthConfig } from '../../types/types';
import * as i0 from "@angular/core";
export declare class DescopeComponent implements OnInit, OnChanges {
    private elementRef;
    private authService;
    projectId: string;
    baseUrl?: string;
    baseStaticUrl?: string;
    baseCdnUrl?: string;
    storeLastAuthenticatedUser?: boolean;
    flowId: string;
    locale: string;
    theme: 'light' | 'dark' | 'os';
    tenant: string;
    telemetryKey: string;
    redirectUrl: string;
    autoFocus: true | false | 'skipFirstScreen';
    validateOnBlur: boolean;
    restartOnError: boolean;
    debug: boolean;
    errorTransformer: (error: {
        text: string;
        type: string;
    }) => string;
    onScreenUpdate: (screenName: string, context: Record<string, any>, next: (interactionId: string, form: Record<string, any>) => Promise<unknown>, ref: HTMLElement) => boolean | Promise<boolean>;
    client: Record<string, any>;
    nonce: string;
    dismissScreenErrorOnInput: boolean;
    form: Record<string, any>;
    logger: ILogger;
    styleId: string;
    success: EventEmitter<CustomEvent>;
    error: EventEmitter<CustomEvent>;
    ready: EventEmitter<void>;
    private readonly webComponent;
    constructor(elementRef: ElementRef, authService: DescopeAuthService, descopeConfig: DescopeAuthConfig);
    ngOnInit(): void;
    ngOnChanges(): void;
    private setupWebComponent;
    static ɵfac: i0.ɵɵFactoryDeclaration<DescopeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DescopeComponent, "descope[flowId]", never, { "flowId": { "alias": "flowId"; "required": false; }; "locale": { "alias": "locale"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "tenant": { "alias": "tenant"; "required": false; }; "telemetryKey": { "alias": "telemetryKey"; "required": false; }; "redirectUrl": { "alias": "redirectUrl"; "required": false; }; "autoFocus": { "alias": "autoFocus"; "required": false; }; "validateOnBlur": { "alias": "validateOnBlur"; "required": false; }; "restartOnError": { "alias": "restartOnError"; "required": false; }; "debug": { "alias": "debug"; "required": false; }; "errorTransformer": { "alias": "errorTransformer"; "required": false; }; "onScreenUpdate": { "alias": "onScreenUpdate"; "required": false; }; "client": { "alias": "client"; "required": false; }; "nonce": { "alias": "nonce"; "required": false; }; "dismissScreenErrorOnInput": { "alias": "dismissScreenErrorOnInput"; "required": false; }; "form": { "alias": "form"; "required": false; }; "logger": { "alias": "logger"; "required": false; }; "styleId": { "alias": "styleId"; "required": false; }; }, { "success": "success"; "error": "error"; "ready": "ready"; }, never, never, true, never>;
}
