import { EventEmitter } from '@angular/core';
import { ILogger } from '@descope/web-component';
import { DescopeAuthConfig } from '../../types/types';
import * as i0 from "@angular/core";
export declare class SignUpFlowComponent {
    projectId: string;
    locale: string;
    theme: 'light' | 'dark' | 'os';
    tenant: string;
    telemetryKey: string;
    redirectUrl: string;
    autoFocus: true | false | 'skipFirstScreen';
    validateOnBlur: boolean;
    restartOnError: boolean;
    debug: boolean;
    errorTransformer: (error: {
        text: string;
        type: string;
    }) => string;
    onScreenUpdate: (screenName: string, context: Record<string, any>, next: (interactionId: string, form: Record<string, any>) => Promise<unknown>, ref: HTMLElement) => boolean | Promise<boolean>;
    client: Record<string, any>;
    nonce: string;
    dismissScreenErrorOnInput: boolean;
    form: Record<string, any>;
    logger: ILogger;
    styleId: string;
    success: EventEmitter<CustomEvent>;
    error: EventEmitter<CustomEvent>;
    constructor(descopeConfig: DescopeAuthConfig);
    static ɵfac: i0.ɵɵFactoryDeclaration<SignUpFlowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SignUpFlowComponent, "descope-sign-up-flow", never, { "locale": { "alias": "locale"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "tenant": { "alias": "tenant"; "required": false; }; "telemetryKey": { "alias": "telemetryKey"; "required": false; }; "redirectUrl": { "alias": "redirectUrl"; "required": false; }; "autoFocus": { "alias": "autoFocus"; "required": false; }; "validateOnBlur": { "alias": "validateOnBlur"; "required": false; }; "restartOnError": { "alias": "restartOnError"; "required": false; }; "debug": { "alias": "debug"; "required": false; }; "errorTransformer": { "alias": "errorTransformer"; "required": false; }; "onScreenUpdate": { "alias": "onScreenUpdate"; "required": false; }; "client": { "alias": "client"; "required": false; }; "nonce": { "alias": "nonce"; "required": false; }; "dismissScreenErrorOnInput": { "alias": "dismissScreenErrorOnInput"; "required": false; }; "form": { "alias": "form"; "required": false; }; "logger": { "alias": "logger"; "required": false; }; "styleId": { "alias": "styleId"; "required": false; }; }, { "success": "success"; "error": "error"; }, never, never, true, never>;
}
