import { ElementRef, EventEmitter, OnChanges, OnInit } from '@angular/core';
import { ILogger } from '@descope/web-component';
import { DescopeAuthConfig } from '../../types/types';
import { DescopeAuthService } from '../../services/descope-auth.service';
import * as i0 from "@angular/core";
export declare class UserProfileComponent implements OnInit, OnChanges {
    private elementRef;
    private descopeAuthService;
    projectId: string;
    baseUrl?: string;
    baseStaticUrl?: string;
    baseCdnUrl?: string;
    widgetId: string;
    theme: 'light' | 'dark' | 'os';
    debug: boolean;
    logger: ILogger;
    styleId: string;
    logout: EventEmitter<CustomEvent>;
    private readonly webComponent;
    constructor(elementRef: ElementRef, descopeConfig: DescopeAuthConfig, descopeAuthService: DescopeAuthService);
    ngOnInit(): void;
    ngOnChanges(): void;
    private setupWebComponent;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserProfileComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserProfileComponent, "user-profile", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "debug": { "alias": "debug"; "required": false; }; "logger": { "alias": "logger"; "required": false; }; "styleId": { "alias": "styleId"; "required": false; }; }, { "logout": "logout"; }, never, never, true, never>;
}
